人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

現在、JAVAランタイム 1.3.1_06がはいっているPCがあるのですが、
そのPCで、1.4.2以上のものを導入して、WEBアプリケーションごとに
アプレットのバージョンを切替えて使用できないか模索しています。
(OSはXP SP2,ブラウザはIEを使用)

下記サイトにある方法は試してみたのですがうまくいきません。
なにか切替える方法はあるのでしょうか?

http://www.atmarkit.co.jp/bbs/phpBB/viewtopic.php?topic=34695&forum=12&6
http://oshiete1.goo.ne.jp/kotaeru.php3?q=1353767

●質問者: rinka-lv
●カテゴリ:コンピュータ インターネット
✍キーワード:IE Java OS pc Web
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● wnagata
●40ポイント

http://java.sun.com/j2se/1.4.2/docs/guide/plugin/developer_guide...

に複数バージョンをサポートしてあると書いてあるのですが、

最後の最後に、Multiple versions of the JRE can be run in different browser sessions. However, multiple versions can not be run in the same browser session. Should this be attempted, the user is warned and the attempt will fail.と注釈されています。要するにIEを立ち上げなおさないと、異なるバージョンのJREには切り替えられないということですね。IEを立ち上げる前に使用するJREを設定しておかないといけないということですから、うまく切り替える方法はないようです。IEとFirefoxなどの別のブラウザを使用するのが、もっとも便利な方法でしょう。

◎質問者からの返答

ご回答ありがとうございます。IEとNetscapeやFirefoxで試してみたのですがうまくいかないようです。やっぱりダメみたいですね。


2 ● hallo21
●30ポイント

切り替え

http://www.keinet.ne.jp/keinet/doc/setup1.html

◎質問者からの返答

ご回答ありがとうございます。MicrosoftVMが入手できるなら試してみたいですね。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ